## org.eclipse.jetty.annotations
Interface AnnotationParser.DiscoverableAnnotationHandler

All Known Implementing Classes:
  AbstractDiscoverableAnnotationHandler

Enclosing class:
  AnnotationParser

    public static interface AnnotationParser.DiscoverableAnnotationHandler

Method Summary
`void` `handleClass(String className, int version, int access, String signature, String superName, String[] interfaces, String annotation, List<AnnotationParser.Value> values)`
`void` `handleField(String className, String fieldName, int access, String fieldType, String signature, Object value, String annotation, List<AnnotationParser.Value> values)`
`void` `handleMethod(String className, String methodName, int access, String desc, String signature, String[] exceptions, String annotation, List<AnnotationParser.Value> values)`

Method Detail

### handleClass

    void handleClass(String className,
                     int version,
                     int access,
                     String signature,
                     String superName,
                     String[] interfaces,
                     String annotation,
                     List<AnnotationParser.Value> values)

### handleMethod

    void handleMethod(String className,
                      String methodName,
                      int access,
                      String desc,
                      String signature,
                      String[] exceptions,
                      String annotation,
                      List<AnnotationParser.Value> values)

### handleField

    void handleField(String className,
                     String fieldName,
                     int access,
                     String fieldType,
                     String signature,
                     Object value,
                     String annotation,
                     List<AnnotationParser.Value> values)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.